From 831b02fc6b6f84143323c0ba0228dac93c40023d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 23:19:55 +0000
Subject: [PATCH 1863/2232] Resolve clippy map_unwrap_or lint in demo


---

diff --git a/demo/src/main.rs b/demo/src/main.rs
index dca596a..458f1f2 100644
--- a/demo/src/main.rs
+++ b/demo/src/main.rs
@@ -38,7 +38,7 @@ pub struct MultiBuf {
 pub fn next_chunk(buf: &mut MultiBuf) -> &[u8] {
     let next = buf.chunks.get(buf.pos);
     buf.pos += 1;
-    next.map(Vec::as_slice).unwrap_or(&[])
+    next.map_or(&[], Vec::as_slice)
 }
 
 fn main() {

